%define name webcamstudio
%define version 0.60.a
%define release %mkrel 1

Summary: WebcamStudio - Creates your own webcam TV Studio
Name:	 %{name}
Version: %{version}
Release: %{release}
URL:	 http://sourceforge.net/projects/webcamstudio/
Source0:  %{name}-%{version}.tar.xz
Source1: %{name}.png
Source2: webcamstudio
License: GPL
Group:   Video
BuildRoot: %{_tmppath}/%{version}-%{release}-buildroot
BuildArch: noarch
Requires: java >= 1.6
Requires: gksu
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-plugins-ugly
Requires: vloopback

%description
Create your own TV Studio with your webcam to broadcast over the internet.
Compatible with flash sites.


%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 %{buildroot}%{_libdir}/%{name}
cp -a * %{buildroot}%{_libdir}/%{name}
rm -f %{buildroot}%{_libdir}/%{name}/*.txt

#launcher
install -dm 755 %{buildroot}%_bindir/
install -m 755 %{SOURCE2} %{buildroot}%_bindir/


# menu-entry
mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=WebcamStudio
Comment=WebcamStudio for GNU/Linux
Exec=%{name}
Icon=%{name}
StartupNotify=true
Terminal=false
Type=Application
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Video;
EOF

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps

# menu-entry
mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/vloopback.desktop <<EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=WebcamStudio Vloopback Installer
Comment=WebcamStudio for GNU/Linux! VLoopback Installer
Exec=webcamstudio-x-install-vloopback
Icon=%{name}
StartupNotify=true
Terminal=false
Type=Application
Categories=AudioVideo;X-MandrivaLinux-Multimedia-Video;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr(-,root,root)
%doc README.TXT
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop

%changelog
* Tue Nov 06 2012 Neal <nealbrks0 at gmail dot com> 0.60a-1pclos2012
- process

* Fri Nov 02 2012 slick50 <lxgator@gmail.com> 0.60a-1pclos2012
- 0.60.a

* Wed Mar 25 2009 slick50 <lxgator@gmail.com> 0.42b-1pclos2007
- initial build
